package ru.karelia.cs.petrsugen.mediator;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

/**
 *
 *
 */
public class MediatorResourceFile {

	
	public static String getResourceFile(String fileName){
		InputStream is = MediatorResourceFile.class.getResourceAsStream(fileName);
		BufferedReader reader = new BufferedReader(new InputStreamReader(is));
        StringBuilder sb = new StringBuilder();

        String line = null;
        try {
            while ((line = reader.readLine()) != null) {
                sb.append(line + "\n");
            }
            reader.close();
            is.close();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                is.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

        String s = sb.toString();
        return s;

		
		
	}
	


/*
	public static String getTemplate(String templateName) {
		return ResourceFile.getResourceFile(templateName+".template");
	}

*/
}
